#!/bin/sh

# TuxTime Shell Client
# (C) 2002 Tobias Gruetzmacher <tobias@portfolio16.de>
# This script can be distributed under the terms of the GNU GPL v2

server="data.tuxtime.dk"
port="4242"
# Uncomment for test version
#port="4243"

echo -e "TuxTime Shell Client v0.1\n"

if [ "$#" != 3 ]
then
  echo -e "Not enough parameters\n"
  echo -e "Usage:\n     tuxtime <username> <password> <computerid>"
  exit 1
fi

uptime=`cut -d"." -f1 /proc/uptime`

echo "Your uptime in seconds: $uptime"

kernelversion=`cat /proc/sys/kernel/osrelease`

echo -e "Your kernel version: $kernelversion\n"

echo -e "VER 1\033USER $1\033PASS $2\033COMPID $3\033UPTIME $uptime\033KERNEL $kernelversion\n" | /usr/local/bin/netcat -w 5 $server $port

